Bug 1013790 - The automatic install in RHEV-M 3.3 does not have all the values in the config file it uses.
The automatic install in RHEV-M 3.3 does not have all the values in the confi...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
3.3.0
Unspecified Unspecified
urgent Severity medium
: ---
: 3.3.0
Assigned To: Itamar Heim
sefi litmanovich
integration
: Regression, TestBlocker, Triaged
Depends On:
Blocks: 1007408 1019391 3.3snap2
  Show dependency treegraph
 
Reported: 2013-09-30 15:12 EDT by Bill Sanford
Modified: 2014-01-21 17:12 EST (History)
14 users (show)

See Also:
Fixed In Version: is21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:12:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 20336 None None None Never
oVirt gerrit 20386 None None None Never

  None (edit)
Description Bill Sanford 2013-09-30 15:12:47 EDT
Description of problem:
If I want to setup a config file to automatically install RHEV-M, the config file is not complete since the automated install still asks a proxy question.

The question I get is:

Would you like transactions from the Red Hat Access Plugin sent from the RHEV Manager to be brokered through a proxy server? (Yes, No) [No]: 

Version-Release number of selected component (if applicable):
RHEV-M 3.3 (is16)

How reproducible:
100%

Steps to Reproduce:
1. 
2. 
3. 

Actual results:


Expected results:


Additional info:

rhevm-setup --config=/home/test/Desktop/rhevm-answer

This is the config file:
[environment:default]
OVESETUP_CORE/engineStop=none:None
OVESETUP_DIALOG/confirmSettings=bool:True
OVESETUP_DB/database=str:engine
OVESETUP_DB/fixDbViolations=none:None
OVESETUP_DB/secured=bool:False
OVESETUP_DB/host=str:localhost
OVESETUP_DB/user=str:engine
OVESETUP_DB/securedHostValidation=bool:False
OVESETUP_DB/password=str:9075CaFv
OVESETUP_DB/port=int:5432
OVESETUP_SYSTEM/nfsConfigEnabled=bool:False
OVESETUP_SYSTEM/memCheckEnabled=bool:True
OVESETUP_PKI/organization=str:spice.ml2.eng.bos.redhat.com
OVESETUP_CONFIG/isoDomainName=none:None
OVESETUP_CONFIG/isoDomainMountPoint=none:None
OVESETUP_CONFIG/adminPassword=str:REDhat2013!
OVESETUP_CONFIG/applicationMode=str:virt
OVESETUP_CONFIG/firewallManager=str:iptables
OVESETUP_CONFIG/websocketProxyConfig=bool:False
OVESETUP_CONFIG/fqdn=str:rhevm.spice.ml2.eng.bos.redhat.com
OVESETUP_CONFIG/storageType=str:iscsi
OVESETUP_PROVISIONING/postgresProvisioningEnabled=bool:True
OVESETUP_APACHE/configureRootRedirection=bool:True
OVESETUP_APACHE/configureSsl=bool:True
OSETUP_RPMDISTRO/requireRollback=none:None
OSETUP_RPMDISTRO/enableUpgrade=none:None
OVESETUP_AIO/configure=none:None
OVESETUP_AIO/storageDomainDir=none:None
Comment 3 Bill Sanford 2013-10-17 13:18:09 EDT
This is still not putting the answer values in the answer file. I just did this again for is19 and the time I use the answer file, I get:

[root@rhevm ovirt-engine]# engine-setup --generate-answer=/home/test/Desktop/rhevmis19.answer
[ INFO  ] Stage: Initializing
[ INFO  ] Stage: Environment setup
          Configuration files: ['/etc/ovirt-engine-setup.conf.d/10-packaging.conf', '/etc/ovirt-engine-setup.conf.d/20-setup-ovirt-post.conf']
          Log file: /var/log/ovirt-engine/setup/ovirt-engine-setup-20131017131527.log
          Version: otopi-1.1.2 (otopi-1.1.2-1.el6ev)
[ INFO  ] Stage: Environment packages setup
[ INFO  ] Stage: Programs detection
[ INFO  ] Stage: Environment setup
[ INFO  ] Stage: Environment customization
         
          --== PACKAGES ==--
         
[ INFO  ] Checking for product updates...
[ INFO  ] No product updates found
         
          --== NETWORK CONFIGURATION ==--
         
         
          --== DATABASE CONFIGURATION ==--
         
          Using existing credentials
         
          --== OVIRT ENGINE CONFIGURATION ==--
         
          Skipping storing options as database already prepared
         
          --== PKI CONFIGURATION ==--
         
          PKI is already configured
         
          --== APACHE CONFIGURATION ==--
         
         
          --== SYSTEM CONFIGURATION ==--
         
         
          --== END OF CONFIGURATION ==--
         
          Would you like transactions from the Red Hat Access Plugin sent from the RHEV Manager to be brokered through a proxy server? (Yes, No) [No]: 


If I answered this the first time and used the answer file, I should not be getting asked again.
Comment 4 Alon Bar-Lev 2013-10-20 14:16:34 EDT
Isn't this dup of bug#1007408?

All discussions about support plugin should be made at redhat-support-plugin-rhev component.
Comment 5 sefi litmanovich 2013-11-11 04:34:14 EST
Verified RHEVM 3.3 IS22 , redhat-support-plugin-rhev-3.3.0-11.el6ev.noarch
Comment 7 Itamar Heim 2014-01-21 17:12:12 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.